PHP Manual
Prev |  | Next

# SDO_DAS_XML::createDataObject

(no version information, might be only in CVS)

SDO_DAS_XML::createDataObject -- Creates SDO_DataObject for a given namespace URI and type name

## Description

SDO_DataObject SDO_DAS_XML::createDataObject ( string namespace_uri, string type_name )

Warning
This function is EXPERIMENTAL. The behaviour of this function, the name of this function, and anything else documented about this function may change without notice in a future release of PHP. Use this function at your own risk.

Creates SDO_DataObject for a given namespace URI and type name. The type should be defined in the underlying model otherwise SDO_TypeNotFoundException will be thrown.

## Parameters

namespace_uri

  Namespace URI of the type name.

type_name

  Type Name.

## Return Values

Returns SDO_DataObject on success.

## Exceptions

SDO_TypeNotFoundException

  Thrown if a type is not defined in the underlying model.

Prev | Home | Next
SDO_DAS_XML::create | Up | SDO_DAS_XML::loadFromFile